maria-developers team mailing list archive
-
maria-developers team
-
Mailing list archive
-
Message #01185
Rev 2779: Add win/make_mariadb_win_dist which is to be used to make windows in file:///home/psergey/bzr-new/maria-5.1-build1/
At file:///home/psergey/bzr-new/maria-5.1-build1/
------------------------------------------------------------
revno: 2779
revision-id: psergey@xxxxxxxxxxxx-20091011102149-78jtmnc9s8okq7a0
parent: knielsen@xxxxxxxxxxxxxxx-20091011093610-q411mulr5zdckdam
committer: Sergey Petrunya <psergey@xxxxxxxxxxxx>
branch nick: maria-5.1-build1
timestamp: Sun 2009-10-11 14:21:49 +0400
message:
Add win/make_mariadb_win_dist which is to be used to make windows
binary distribution zips.
=== modified file 'win/Makefile.am'
--- a/win/Makefile.am 2009-10-08 19:11:48 +0000
+++ b/win/Makefile.am 2009-10-11 10:21:49 +0000
@@ -17,7 +17,7 @@
EXTRA_DIST = build-vs71.bat build-vs8.bat build-vs8_x64.bat build-vs9.bat \
build-vs9_x64.bat configure.js README mysql_manifest.cmake \
create_manifest.js create_def_file.js build-nmake.bat \
- build-nmake-x64.bat configure-mariadb.sh
+ build-nmake-x64.bat configure-mariadb.sh make_mariadb_win_dist
# Don't update the files from bitkeeper
%::SCCS/s.%
=== added file 'win/make_mariadb_win_dist'
--- a/win/make_mariadb_win_dist 1970-01-01 00:00:00 +0000
+++ b/win/make_mariadb_win_dist 2009-10-11 10:21:49 +0000
@@ -0,0 +1,58 @@
+#!/bin/sh
+
+#
+# This is a script that one needs to run in the source tarball to build
+# a MariaDB release for Windows
+#
+set -e
+
+if [ ! -d win/data ] ; then
+ echo This doesnt seem to be source tarball.
+ echo This script should be run from the top directory of the source tarball
+ echo that was produced by 'make dist'
+ exit 1;
+fi
+
+set -x
+
+win/configure-mariadb.sh
+
+cmake -G "Visual Studio 9 2008"
+
+devenv MySQL.sln /build RelWithDebInfo
+devenv MySQL.sln /build Debug
+
+# TODO extract version number
+VER=`cat configure.in |
+ perl -e 'while (<>) { if (/^AM_INIT_AUTOMAKE\([a-z ]*, *([0-9a-z\.-]+)/) { print "$1\n"; exit(0)} } ; exit 1'`
+
+echo Version string: $VER.
+
+ZIPNAME=mariadb-$VER-win32-noinstall
+ZIPFILE="$ZIPNAME.zip"
+echo sh -x scripts/make_win_bin_dist $ZIPFILE
+
+rm -rf unpack
+mkdir unpack
+
+cd unpack
+wget -O base.list.gz \
+http://askmonty.org/wiki/images/6/6c/Mariadb-5.1-pre-beta-file-list.txt.gz
+gunzip base.list.gz
+unzip ../$ZIPFILE
+(cd $ZIPNAME; /bin/find . | sort ) > new.list
+set +x
+diff -u base.list new.list || true
+RES=$?
+set -x
+cd ..
+
+rm -rf unpack
+echo "$ZIPFILE is the Windows noinstall binary zip"
+
+if [ $RES ] ; then
+ echo "Archive contents differ from the standard file list, check the diff output above"
+else
+ echo "Archive contents match the standard list"
+fi
+